
jQuery(document).ready(function()
{
    if (jQuery('#current_template_name').val().length <= 0)
       placester_set_active_template(false);


    jQuery('.template_item').click(function()
    {
        jQuery('#current_template_name').val(jQuery(this).attr('system_name'));
        placester_set_active_template(jQuery(this).attr('active') == '1');

        placester_load_iframe();
    });

    jQuery('#copy_to_clipboard').zclip(
    {
        path: placester_theme_url + '/images/ZeroClipboard.swf',
        copy: function() 
              { 
                  v = jQuery('#preview_iframe').contents().
                      find('#textarea_content').val();
                  if (v != null)
                      return v;

                  return jQuery('#preview_iframe').contents().
                      find('html body').html(); 
              }
    });
});



function placester_load_iframe()
{
    var url = 'admin.php?page=placester_theme_templates&template_iframe=' +
        jQuery('#current_template_name').val() + 
        "&id=" + jQuery("#id").val();

    jQuery('#preview_iframe').attr('src', url);
}


function placester_set_active_template(is_active)
{
    var v = is_active ? '' : 'disabled';
    jQuery('#copy_to_clipboard').attr('disabled', v);
}