<?php 
// Proper enqueue
function placester_enqueue_scripts() {
    $style_args = array(
            1 => array( 'style', get_stylesheet_directory_uri() . '/css/style.css', false, false, 'screen' ),
            2 => array( 'sparkbox-select', get_bloginfo('template_url') . '/css/sparkbox-select.css', false, false, 'screen' ),
            3 => array( 'tab-slideshow',  get_stylesheet_directory_uri() . '/css/tabs-slideshow.css', false, false, 'screen' ), 
            4 => array( 'colorbox',  get_bloginfo('template_url') . '/css/colorbox.css', false, false, 'screen' ), 
        );

    if ( is_home() ) {
        $style_args[] = array( 'custom', get_stylesheet_directory_uri() . '/css/custom.css' ); 
        $style_args = array_reverse( $style_args );
        $style_args[] = array( 'backbone', get_bloginfo('template_url') . '/backbone/css/twentyten.css', false, false, 'screen' ); 
        $style_args = array_reverse( $style_args );
    }

    $script_args = array(
            // 0 => array( 'jquery', 'http://ajax.googleapis.com/ajax/libs/jquery/1/jquery.min.js', false, false, 'screen' ), 
            // 1 => array( 'jquery_tools',  get_bloginfo('template_url') . '/js/jquery.tools.min.js', false, false, 'screen' ),
            // 2 => array( 'sparkrow_select',  get_bloginfo('template_url') . '/js/jquery.sparkbox-select.js', false, false, 'screen' ),
            // 3 => array( 'colorbox',  get_bloginfo('template_url') . '/js/jquery.colorbox.js', false, false, 'screen' ),
            4 => array( 'functions', get_stylesheet_directory_uri() . '/js/functions.js', false, false, 'screen' )
        );

    placester_enqueue(
        $style_args,
        'style',
        true
    );

    placester_enqueue(
        $script_args,
        'script',
        true
    );
}
add_action('template_redirect', 'placester_enqueue_scripts');

